GET api/digitalsignature/signable/setup/{brandId}/{logoId}/{colour}?emailAddress={emailAddress}
creates a new account on signable Processes this digital signature API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| brandId |
brand to associate this sub account to |
integer |
Required |
| logoId |
logo id used for whitelabelling |
integer |
Required |
| colour |
the web colour to be used in the signable app as a background colour, should probably match a logo colour |
string |
Required |
| emailAddress |
unique email address for this brand |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version |
The version value. |
Version |
None. |
| Content |
The content value. |
HttpContent |
None. |
| StatusCode |
The status code classification. |
HttpStatusCode |
None. |
| ReasonPhrase |
The reason phrase value. |
string |
None. |
| Headers |
The collection of headers. |
Collection of Object |
None. |
| RequestMessage |
The request message value. |
HttpRequestMessage |
None. |
| IsSuccessStatusCode |
Indicates whether this item is success status code. |
boolean |
None. |